Forum > General

FPC + Lazarus on FreeBSD

(1/8) > >>

erick:
I've been working for hours trying to get Lazarus+FreeBSD to work together.  The system has to be for FreeBSD 12.0, I don't have a choice.

FPCUPDELUXE doesn't work because it complains of no SVN (svn works fine on the system from the command line).  Too bad, that was my preferred way.

FreeBSD pkg system installs Lazarus 2.0.0 and FPC 3.0.4-2  But it complains about no source when you start up Lararus.  So I added the source code from that release from sourceforge, but then in complains there is no packages directory. 

Merely creating a packages directory does not work.

I need to build projects with Mormot and others with Indy10, both of which are coming from Delphi heritage.

I dont' have an example of what the required 'packages' part is, if it is a file or a directory or what.  And reading scads of posts, I haven't found someone who explains it.

Thanks for any hints you can provide.

DonAlfredo:
Fpcupdeluxe should work.
Would be good to know more details about the error, so it can be improved to work on your system too.

erick:
fpcupdeluxe fails with:
fpcupdeluxe: ERROR: FPCNativeInstaller (CheckAndGetTools): Could not find SVN executable. Please make sure it is installed.

While the command line version works fine:
root@maggot2:~ # svn
Type 'svn help' for usage.

erick:
I also tried using WGET / LibCURL for download, but no effect on the SVN error

erick:
Okay, creating a symbolic link to svn in the local directory gets me farther.

...
Executing: svn update rtl --non-interactive --trust-server-cert --quiet /root/fpcupdeluxe/fpc300bootstrap/rtl (working dir: /root/fpcupdeluxe/fpcsrc)

fpcupdeluxe: ERROR: FPCNativeInstaller (BuildModule: FPC): Error (SVN) getting sources for intermediate bootstrap compiler. Error: -2

Not sure where to go from there.


Thanks
Erick

Navigation

[0] Message Index

[#] Next page

Go to full version